BlackbirdModule (Jackson module: Blackbird 2.13.0 API)
Date: 2021-09-30

com.fasterxml.jackson.module.blackbird

## Class BlackbirdModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.module.blackbird.BlackbirdModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned

      public class BlackbirdModule
      extends com.fasterxml.jackson.databind.Module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlackbirdModule()`
    `BlackbirdModule(Function<Class<?>,MethodHandles.Lookup> lookups)`
    `BlackbirdModule(Supplier<MethodHandles.Lookup> lookup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModuleName()`
    `void` | `setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `com.fasterxml.jackson.core.Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getDependencies, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlackbirdModule

          public BlackbirdModule()

    - #### BlackbirdModule

          public BlackbirdModule(Function<Class<?>,MethodHandles.Lookup> lookups)

    - #### BlackbirdModule

          public BlackbirdModule(Supplier<MethodHandles.Lookup> lookup)

  - ### Method Detail

    - #### setupModule

          public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

      Specified by:
        `setupModule` in class `com.fasterxml.jackson.databind.Module`

    - #### getModuleName

          public String getModuleName()

      Specified by:
        `getModuleName` in class `com.fasterxml.jackson.databind.Module`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Specified by:
        `version` in class `com.fasterxml.jackson.databind.Module`

Copyright © 2021 FasterXML. All rights reserved.